require 'logger'

require "planetruby2feed/constants"
require "planetruby2feed/version"
require "planetruby2feed/scraper"
require "planetruby2feed/parser"

module Planetruby2feed
  class Base
    include Planetruby2feed::Scraper
    include Planetruby2feed::Parser

    attr_accessor :posts

    def initialize
      @logger = Logger.new(STDOUT)
      @logger.level = Logger::WARN
      @posts = []
    end

    def self.run!
      @planet = self.new
      @planet.get_page
      @planet.find_posts
      @planet
    end
  end
end
