require 'sinatra/base'
require 'builder'

module Planetruby2feed
  class Webserver < Sinatra::Application
    set :static, true
    set :public_folder, File.expand_path('../../../resources/assets/', __FILE__)

    set :views, File.expand_path('../../../resources/views/', __FILE__)
    set :haml, { :format => :html5 }

    get '/rss' do
      @posts = settings.posts
      builder :rss
    end
  end
end
