require 'nokogiri'
require 'open-uri'

module Planetruby2feed
  module Scraper
    attr_accessor :webpage

    def analyze
      get_page
    end

    def get_page
      begin
        @webpage = Nokogiri::HTML(open(Planetruby2feed::URL))
      rescue Exception => e
        @logger.fatal e.message
      end
    end
  end
end

